# -*- coding:utf-8 -*-

from openerp import fields, models, api

class ResPartner(models.Model):
    _inherit="res.partner"

    email_count= fields.Integer(compute='_email_count')

    # mass_mailing_count= fields.Integer(compute='_mass_mailing_count')

    @api.one
    def _email_count(self):
        res =self.env['mail.message'].search_count([('type','!=','notification'),'|','|',('partner_ids', '=', self.id),('notified_partner_ids', '=', self.id), ('author_id', '=', self.id)])
        self.email_count= res
        return self.email_count


class MailMessage(models.Model):
    _inherit="mail.message"

    type = fields.Selection(selection=[('email','Correo Entrante'),('comment','Correo Saliente'),('notification','Notificación del Sistema')])
